SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   IBM WebSphere MQ Vendors:   IBM
(IBM Issues Fix for IBM WebSphere MQ) OpenSSL Integer Overflow in ssl3_get_client_hello() Lets Remote Users Deny Service
SecurityTracker Alert ID:  1038212
SecurityTracker URL:  http://securitytracker.com/id/1038212
CVE Reference:   CVE-2016-2177   (Links to External Site)
Date:  Apr 8 2017
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.3.1 on NonStop Server
Description:   A vulnerability was reported in OpenSSL. A remote user can cause denial of service conditions on the target system. IBM WebSphere MQ is affected.

A remote user can send specially crafted data to trigger an integer overflow in ssl3_get_client_hello() and potentially cause the target service to crash.

Guido Vranken reported this vulnerability.

Impact:   A remote user can cause denial of service conditions.
Solution:   IBM has issued a fix for IBM WebSphere MQ on NonStop Server (APAR IT18692).

The IBM advisory is available at:

http://www-01.ibm.com/support/docview.wss?uid=swg21999421

Vendor URL:  www-01.ibm.com/support/docview.wss?uid=swg21999421 (Links to External Site)
Cause:   Boundary error

Message History:   This archive entry is a follow-up to the message listed below.
Jun 14 2016 OpenSSL Integer Overflow in ssl3_get_client_hello() Lets Remote Users Deny Service



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC